Description

Hi,

I know this is an issue that has been discussed a lot but I would like to know if something has been done.

Is there a way to sequentially increment issue ids even if I work on multiple projects on the same Redmine instance ?

I want my projects issues increment like that :

Project 1 : issue #1,#2,#3

Project 2 : issue #1,#2,#3

Why ? Because it's very easy for the developers to get confused with the current issue id attribution.

Thank you very much for your answers.

History

#1 - 2013-10-21 23:55 - Jan Niggemann (redmine.org team member)

-1

Because it's very easy for the developers to get confused with the current issue id attribution.

 Just the other way round, it would be a whole lot more confusing if issue ids weren't unique...

#2 - 2013-10-22 00:11 - Vincent Roye

I agree with you Jan but if my client really wants a sequential id attribution, is there a way to make this happen ? A patch ?

#3 - 2013-10-22 09:01 - Jan Niggemann (redmine.org team member)

Vincent Roye wrote:

I agree with you Jan but if my client really wants a sequential id attribution, is there a way to make this happen ? A patch ?

 None that I'm aware of, the ids are at the heart of redmine...

#4 - 2013-10-23 08:15 - Andrey Anufrienko

An issue can be moved between projects.

So the Id must be unique in my opinion.

If you need 'sequence' you can add custom field to handle it, but now you will have to enter values manually. It may be handled automatically if

Feature #15177 would be implemented in some way.

#5 - 2013-10-23 08:17 - Anonymous

-1

Issue IDs should be unique!

#6 - 2013-10-23 16:53 - Jan Niggemann (redmine.org team member)

- Tracker changed from Defect to Feature

- Status changed from New to Closed

- Resolution set to Wont fix
